Bug 576036 - ipmi fence failed
Summary: ipmi fence failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 482913
Blocks: 522529 5.5TechNotes-Updates 564012
TreeView+ depends on / blocked
 
Reported: 2010-03-23 03:37 UTC by Perry Myers
Modified: 2016-04-27 04:31 UTC (History)
12 users (show)

Fixed In Version: fence-1.32.68-5.el4
Doc Type: Bug Fix
Doc Text:
Cause: ======= Strange behavior of some HW IPMI implementations (for example IBM x3550, brand new supermicro motherboard). Consequence: ============ Old behavior: perhaps (chassis power status) chassis power off chassis power status (wait for this to return "off") chassis power on chassis power status (wait for this to return "on") and the BMC controller for some difficult to understand reason shuts itself down after the "chassis power off", so it will be not able to power on machine. Fix: ==== Add support for power cycle command, which doesn't shut BMC controller. Result: ======= Old behavior is default, so nothing change without reconfiguration. But now, there is new method option, which can have value cycle, what will cause a new behavior (use ipmi power cycle command). Example of usage:... <fencedevices> <fencedevice agent="fence_ipmilan_new" ipaddr="1.2.3.4" login="root" name="ipmifd1" passwd="password" method="cycle" /> ...
Clone Of: 482913
Environment:
Last Closed: 2011-02-16 16:15:26 UTC


Attachments (Terms of Use)
Backported patch (8.42 KB, patch)
2010-03-23 15:26 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0266 normal SHIPPED_LIVE Low: fence security, bug fix, and enhancement update 2011-02-16 16:14:08 UTC

Comment 1 Jan Friesse 2010-03-23 15:26:53 UTC
Created attachment 402083 [details]
Backported patch

Patch adding power cycle:

Default behaviour (off/get status/on) doesn't work on
some IPMI implementations, because chasiss power off will
turn off IPMI management card. Next power on cannot be
done automatically. But it looks, like chassis power cycle
is supported and do what we need -> reset machine.

Patch add support for -M (method) option, which can have
values:
- onoff - default old behaviour
- cycle - use new power cycle

Comment 2 Jan Friesse 2010-03-23 15:27:16 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
=======
Strange behavior of some HW IPMI implementations (for example IBM x3550, brand new supermicro motherboard).

Consequence:
============
Old behavior:
perhaps (chassis power status)
chassis power off
chassis power status (wait for this to return "off")
chassis power on
chassis power status (wait for this to return "on")

and the BMC controller for some difficult to understand reason shuts itself
down after the "chassis power off", so it will be not able to power on machine.

Fix:
====
Add support for power cycle command, which doesn't shut BMC controller.

Result:
=======
Old behavior is default, so nothing change without reconfiguration. But now, there is new method option, which can have value cycle, what will cause a new behavior (use ipmi power cycle command).

Example of usage:...

  <fencedevices>
                <fencedevice agent="fence_ipmilan_new" ipaddr="1.2.3.4"
login="root" name="ipmifd1" passwd="password" method="cycle" />
...

Comment 5 Peter Robinson 2010-04-13 08:15:41 UTC
Is there an ETA as to when this will be released?

Comment 9 errata-xmlrpc 2011-02-16 16:15:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0266.html


Note You need to log in before you can comment on or make changes to this bug.